/*
 * uData API
 * uData API
 *
 * OpenAPI spec version: 1.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package com.asso.ladoxa.datagouv.models;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Objects;

/**
 * DatasetSuggestion
 */

public class DatasetSuggestion {
  @JsonProperty("acronym")
  private String acronym = null;

  @JsonProperty("id")
  private String id = null;

  @JsonProperty("image_url")
  private String imageUrl = null;

  @JsonProperty("page")
  private String page = null;

  @JsonProperty("score")
  private BigDecimal score = null;

  @JsonProperty("slug")
  private String slug = null;

  @JsonProperty("title")
  private String title = null;

  public DatasetSuggestion acronym(String acronym) {
    this.acronym = acronym;
    return this;
  }

   /**
   * An optional dataset acronym
   * @return acronym
  **/
  @ApiModelProperty(value = "An optional dataset acronym")
  public String getAcronym() {
    return acronym;
  }

  public void setAcronym(String acronym) {
    this.acronym = acronym;
  }

  public DatasetSuggestion id(String id) {
    this.id = id;
    return this;
  }

   /**
   * The dataset identifier
   * @return id
  **/
  @ApiModelProperty(value = "The dataset identifier")
  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public DatasetSuggestion imageUrl(String imageUrl) {
    this.imageUrl = imageUrl;
    return this;
  }

   /**
   * The dataset (organization) logo URL
   * @return imageUrl
  **/
  @ApiModelProperty(value = "The dataset (organization) logo URL")
  public String getImageUrl() {
    return imageUrl;
  }

  public void setImageUrl(String imageUrl) {
    this.imageUrl = imageUrl;
  }

  public DatasetSuggestion page(String page) {
    this.page = page;
    return this;
  }

   /**
   * The web page URL for this dataset
   * @return page
  **/
  @ApiModelProperty(value = "The web page URL for this dataset")
  public String getPage() {
    return page;
  }

  public void setPage(String page) {
    this.page = page;
  }

  public DatasetSuggestion score(BigDecimal score) {
    this.score = score;
    return this;
  }

   /**
   * The internal match score
   * @return score
  **/
  @ApiModelProperty(value = "The internal match score")
  public BigDecimal getScore() {
    return score;
  }

  public void setScore(BigDecimal score) {
    this.score = score;
  }

  public DatasetSuggestion slug(String slug) {
    this.slug = slug;
    return this;
  }

   /**
   * The dataset permalink string
   * @return slug
  **/
  @ApiModelProperty(value = "The dataset permalink string")
  public String getSlug() {
    return slug;
  }

  public void setSlug(String slug) {
    this.slug = slug;
  }

  public DatasetSuggestion title(String title) {
    this.title = title;
    return this;
  }

   /**
   * The dataset title
   * @return title
  **/
  @ApiModelProperty(value = "The dataset title")
  public String getTitle() {
    return title;
  }

  public void setTitle(String title) {
    this.title = title;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    DatasetSuggestion datasetSuggestion = (DatasetSuggestion) o;
    return Objects.equals(this.acronym, datasetSuggestion.acronym) &&
        Objects.equals(this.id, datasetSuggestion.id) &&
        Objects.equals(this.imageUrl, datasetSuggestion.imageUrl) &&
        Objects.equals(this.page, datasetSuggestion.page) &&
        Objects.equals(this.score, datasetSuggestion.score) &&
        Objects.equals(this.slug, datasetSuggestion.slug) &&
        Objects.equals(this.title, datasetSuggestion.title);
  }

  @Override
  public int hashCode() {
    return Objects.hash(acronym, id, imageUrl, page, score, slug, title);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class DatasetSuggestion {\n");

    sb.append("    acronym: ").append(toIndentedString(acronym)).append("\n");
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    imageUrl: ").append(toIndentedString(imageUrl)).append("\n");
    sb.append("    page: ").append(toIndentedString(page)).append("\n");
    sb.append("    score: ").append(toIndentedString(score)).append("\n");
    sb.append("    slug: ").append(toIndentedString(slug)).append("\n");
    sb.append("    title: ").append(toIndentedString(title)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

